package com.muyu.system.domain.rep;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @author dongzeliang
 * @version 1.0
 * @description: 系统配置修改请求
 * @date 2025/1/14 10:39
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class SysConfigUpdReq {
    /**
     * 参数名称
     */
    private String configName;

    /**
     * 参数键名
     */
    private String configKey;

    /**
     * 参数键值
     */
    private String configValue;

    /**
     * 系统内置（Y是 N否）
     */
    private String configType;

    /**
     * 备注
     */
    private String remark;
}
